Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034824
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2016-12-27 10:202017-03-15 20:19
ReporterumartirenaView Statuspublic 
Assigned ToNaroaIriarte 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revisionc22eb99a6d5c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034824: Mandatory columns are not taken into account in pick & edit grids in which records can be added.

DescriptionMandatory columns are not taken into account in pick & edit grids in which records can be added. The field is displayed in yellow when creating the record, and when leaving the field a red border is added. But, still the record is saved and the "Done" button does not look into that field when evaluating if needs to be enabled or not.
Steps To ReproduceIn Live Builds:
 * Go to 'Payment In' window.
 * Create a new record. Set 'Amount' to 10.00
 * Click on 'Add Details'. Add Payment popup is opened.
 * Go to GL Items section, open it and click on "Add New".
 * Leave 'Gl Item' field empty and set 10.00 to 'Received In' field.
 * Press enter to save the record. Check that the record is correctly saved without any value in GL Item field (which is mandatory).
 * Click on 'Done' button. The following error is displayed in a window message: "id to load is required for loading"
Proposed SolutionI don't have a concrete solution. There could be different options:
 * Disable/Enable the 'Done' button based also on grid fields.
 * Don't allow to save a record with empty mandatory fields.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0036102 closedinigosanchez Some mandatory fields can be left empty 
related to defect 0035069 acknowledgedplatform A row inserted in GL Item section of Add details pick & execute cannot be modified 
causes defect 0036320 closedcaristu Create Lines P&E window in Purchase Order does not respond to select other record after selecting any of the record 

-  Notes
(0093976)
hgbot (developer)
2017-02-01 09:37

Repository: erp/devel/pi
Changeset: c22eb99a6d5c155eec980d7ff3b08990ff849032
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Tue Jan 31 10:48:55 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c22eb99a6d5c155eec980d7ff3b08990ff849032 [^]

Fixed issue 34824:It was possible saving a record with mandatory columns unset

In the add payment window, in the gl items section, it was possible saving a record with mandatory columns unset.
This has been fixed by adding a condition before tha call to the super's hideInLineEditor method. This condition chacks if in the current row, there exists a mandatory field which is unset.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0094027)
alostale (developer)
2017-02-03 09:09

reopening, see: https://docs.google.com/spreadsheets/d/18l2biKWeG6iGDIPqO6VuYQ_TtP_6YxyQU4KSrPvQlJ8/edit#gid=0 [^]
(0094061)
hgbot (developer)
2017-02-06 09:27

Repository: erp/devel/pi
Changeset: 1984ef1c1bbcbd14d6078adca049d3b3858135dc
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Fri Feb 03 13:01:13 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1984ef1c1bbcbd14d6078adca049d3b3858135dc [^]

Related with issue34824: Mandatory columns cannot be empty nor null

It was also possible to save a record in the "GL Items" section of the "Add Payment" parameter window when a mandatory column had a null value.
This has been fixed by adding a new condition which now checks if the mandatory column has an undefined value or a null value. And if it is true, the record is not saved.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
---
(0094202)
alostale (developer)
2017-02-10 08:37

code reviewed + tested
(0095149)
hudsonbot (developer)
2017-03-15 20:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095159)
hudsonbot (developer)
2017-03-15 20:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-12-27 10:20 umartirena New Issue
2016-12-27 10:20 umartirena Assigned To => platform
2016-12-27 10:20 umartirena Modules => Core
2016-12-27 10:20 umartirena Triggers an Emergency Pack => No
2017-01-11 09:10 alostale Status new => acknowledged
2017-01-25 17:44 NaroaIriarte Assigned To platform => NaroaIriarte
2017-01-25 17:44 NaroaIriarte Status acknowledged => scheduled
2017-01-27 13:49 NaroaIriarte Relationship added related to 0035069
2017-02-01 09:37 hgbot Checkin
2017-02-01 09:37 hgbot Note Added: 0093976
2017-02-01 09:37 hgbot Status scheduled => resolved
2017-02-01 09:37 hgbot Resolution open => fixed
2017-02-01 09:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c22eb99a6d5c155eec980d7ff3b08990ff849032 [^]
2017-02-01 11:18 NaroaIriarte Review Assigned To => alostale
2017-02-03 09:09 alostale Note Added: 0094027
2017-02-03 09:09 alostale Status resolved => new
2017-02-03 09:09 alostale Resolution fixed => open
2017-02-03 10:13 NaroaIriarte Status new => acknowledged
2017-02-03 10:13 NaroaIriarte Status acknowledged => scheduled
2017-02-06 09:27 hgbot Checkin
2017-02-06 09:27 hgbot Note Added: 0094061
2017-02-06 09:28 NaroaIriarte Status scheduled => resolved
2017-02-06 09:28 NaroaIriarte Resolution open => fixed
2017-02-10 08:37 alostale Note Added: 0094202
2017-02-10 08:37 alostale Status resolved => closed
2017-02-10 08:37 alostale Fixed in Version => 3.0PR17Q2
2017-03-15 20:18 hudsonbot Checkin
2017-03-15 20:18 hudsonbot Note Added: 0095149
2017-03-15 20:19 hudsonbot Checkin
2017-03-15 20:19 hudsonbot Note Added: 0095159
2017-06-02 11:34 alostale Relationship added related to 0036102
2017-06-23 11:30 caristu Relationship added causes 0036320
2017-06-26 17:30 inigosanchez Relationship replaced has duplicate 0036102


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker